Groovy Documentation

## org.codehaus.groovy.tools.javac
[Java] Class JavaStubGenerator

    java.lang.Object
      org.codehaus.groovy.tools.javac.JavaStubGenerator

    public class JavaStubGenerator
    extends java.lang.Object

Constructor Summary
`JavaStubGenerator(java.io.File outputPath, boolean requireSuperResolved, boolean java5)`
`JavaStubGenerator(java.io.File outputPath)`

Method Summary
`void` | `clean()`
`void` | `generateClass(ClassNode classNode)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JavaStubGenerator

    public JavaStubGenerator(java.io.File outputPath, boolean requireSuperResolved, boolean java5)

### JavaStubGenerator

    public JavaStubGenerator(java.io.File outputPath)

Method Detail

### clean

    public void clean()

### generateClass

    public void generateClass(ClassNode classNode)

Groovy Documentation